XAMPP 1.5.5 - 1.6.5a myphpadmin php4 problem / bug ?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XAMPP 1.5.5 - 1.6.5a myphpadmin php4 problem / bug ?

Postby erihp-42 » 18. January 2008 20:21

Id like to first thank the people who contribute to this project and the simplicity of the install, i figured xampp would save me alot of time in configuring my server for using OSCommerce.

OSC requires php4 and will not work on php5 (which xampp runs by default).

I have successfully used the command to switch the php version to 4.
This appears to work, and upon checking the php version info it appears properly as 4.

The problem or bug resides when i try to use myphpadmin once running php4. I get the following errors:

Warning: session_write_close() [function.session-write-close]: The session id contains invalid characters, valid characters are only a-z, A-Z and 0-9 in /opt/lampp/phpmyadmin/index.php on line 42

Warning: session_write_close() [function.session-write-close]: Failed to write session data (files). Please verify that the current setting of session.save_path is correct (/tmp) in /opt/lampp/phpmyadmin/index.php on line 42

Warning: Cannot modify header information - headers already sent by (output started at /opt/lampp/phpmyadmin/index.php:44) in /opt/lampp/phpmyadmin/index.php on line 99

I found this post: http://ubuntuforums.org/showthread.php?t=323388
where a person has the same issue. i figure this is widespread, yet i am not seeing information on how to fix this. i cannot create a new database file, therefore am unable to install OSC until this is resolved.

Anyone out there have any tips or ideas to help me?
I can paste my index.php if necessary, however these errors appear without any modification to the files, so it should be using the file that comes with 1.6.5a.

Side note: ive also followed the advice of the other poster and uninstalled 1.6.5a, and ran 1.5.5, and i had the exact same error except different line numbers.

Posts: 1
Joined: 18. January 2008 20:06

phpMyAdmin / PHP4

Postby stefanh » 14. February 2008 21:10

I had the same problem; i switched to an older version of phpMyAdmin (, it works.
Posts: 2
Joined: 14. February 2008 19:44

phpmyadmin errors

Postby sum » 25. March 2008 11:33

hi there,

I been struggling with phpmyadmin on php4. Getting session_write_close(); sort of errors. Would it be possible for anyone to tell how to switch over to different version of phpmyadmin step by step.

Please help....
Posts: 6
Joined: 26. October 2007 10:35

Postby Nobbie » 25. March 2008 12:02

>Getting session_write_close(); sort of errors.

Which errors? Please specify more precisely.
Posts: 8632
Joined: 09. March 2008 13:04

Postby sum » 25. March 2008 17:33

Sorted, just cleard the tmp directory, All working fine, thanks anyway.
Posts: 6
Joined: 26. October 2007 10:35

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests